### Method

# Gcr CertificateRequest complete_finish

#### Declaration [src]

    gboolean
    gcr_certificate_request_complete_finish (
      GcrCertificateRequest* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation to complete and sign a certificate request.

#### Parameters

`result`

  Type: `GAsyncResult`

  Result of the asynchronous operation.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether certificate request was successfully completed or not.